{% extends "base.html" %} {% load static %} {% block css %} {% endblock css %} {% block title %}
<h1> Bienvenido Secretario Académico</h1>
{% endblock title %} {% block content %}
<div class="modal fade" id="fullscreen_modalBita2" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <ul class="nav nav-pills nav-pills-primary" role="tablist">
                    <li class="active">
                        <a href="#pillnav1" role="tab" data-toggle="tab">
                            <i class="zmdi zmdi-home"></i> Al día
                        </a>
                    </li>
                    <li>
                        <a href="#pillnav2" role="tab" data-toggle="tab">
                            <i class="zmdi zmdi-calendar-note"></i> Con detalle
                        </a>
                    </li>
                    <li>
                        <a href="#pillnav3" role="tab" data-toggle="tab">
                            <i class="zmdi zmdi-view-list-alt"></i> Rechazadas
                        </a>
                    </li>
                </ul>
                <div id="pillContent1" class="tab-content m-t-15">
                    <div class="tab-pane fade active in" id="pillnav1">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="card card-data-tables product-table-wrapper">
                                    <header class="card-heading card-blue text-center">
                                        <h2 class="card-title">Evaluaciones al día</h2>
                                        <div class="card-search">
                                            <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                                                <i class="zmdi zmdi-search search-icon-left"></i>
                                                <input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
                                                <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
                                                    <i class="zmdi zmdi-close"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <ul class="card-actions icons right-top">
                                            <li id="deleteItems" style="display: none;">
                                                <span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
                                                <a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
                                                    <i class="zmdi zmdi-delete"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
                                                    <i class="zmdi zmdi-search"></i>
                                                </a>
                                            </li>
                                            <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
                                                <a href="javascript:void(0)" data-toggle="dropdown">
                                                    <i class="zmdi zmdi-more-vert"></i>
                                                </a>
                                                <div id="dataTablesLength">
                                                </div>
                                            </li>
                                        </ul>
                                    </header>
                                    <div class="card-body p-0">
                                        <div class="table-responsive">
                                            <table id="pendientes" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th class="col-sm-3">Nombre del proyecto</th>
                                                        <th class="col-sm-2">Alumno</th>
                                                        <th class="col-sm-3">Profesor guia</th>
                                                        <th class="col-sm-3">Fecha</th>
                                                        <th data-orderable="false" class="col-sm-2">
                                                            Acciones
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    {% for postulation in postulations%}{% if postulation.0.status == "PE" %}
                                                    <tr>
                                                        <td>{{postulation.0.project.name}}</td>
                                                        <td>{{postulation.1}}</td>
                                                        <td>{{postulation.0.proyect.guide_teacher}}</td>
                                                        <td>{{postulation.0.last_mod}}</td>
                                                        <td>
                                                            <div class="row">
                                                                <div class="col-md-3 col-sm-3">
                                                                    <button id="detallesT" class="btn btn-block btn-info" data-toggle="modal" data-target="#tab_modal">
                                                                        <i class="zmdi zmdi-info-outline zmdi-hc-fw"></i> Detalles
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    {% else %} {% endif %} {% endfor %}
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pillnav2">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="card card-data-tables product-table-wrapper">
                                    <header class="card-heading card-blue text-center">
                                        <h2 class="card-title">Evaluaciones con detalles</h2>
                                        <div class="card-search">
                                            <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                                                <i class="zmdi zmdi-search search-icon-left"></i>
                                                <input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
                                                <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
                                                    <i class="zmdi zmdi-close"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <ul class="card-actions icons right-top">
                                            <li id="deleteItems" style="display: none;">
                                                <span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
                                                <a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
                                                    <i class="zmdi zmdi-delete"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
                                                    <i class="zmdi zmdi-search"></i>
                                                </a>
                                            </li>
                                            <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
                                                <a href="javascript:void(0)" data-toggle="dropdown">
                                                    <i class="zmdi zmdi-more-vert"></i>
                                                </a>
                                                <div id="dataTablesLength">
                                                </div>
                                            </li>
                                        </ul>
                                    </header>
                                    <div class="card-body p-0">
                                        <div class="table-responsive">
                                            <table id="aprobadas" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th class="col-sm-3">Nombre del proyecto</th>
                                                        <th class="col-sm-2">Alumno</th>
                                                        <th class="col-sm-3">Profesor guia</th>
                                                        <th class="col-sm-3">Fecha</th>
                                                        <th data-orderable="false" class="col-sm-2">
                                                            Acciones
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    {% for postulation in postulations%} {% if postulation.0.status == "AP" %}
                                                    <tr>
                                                        <td>{{postulation.0.project.name}}</td>
                                                        <td>{{postulation.1}}</td>
                                                        <td>{{postulation.0.proyect.guide_teacher}}</td>
                                                        <td>{{postulation.0.last_mod}}</td>
                                                        <td>
                                                            <div class="row">
                                                                <div class="col-md-3 col-sm-3">
                                                                    <button id="detallesT" class="btn btn-block btn-info" data-toggle="modal" data-target="#tab_modal">
                                                                        <i class="zmdi zmdi-info-outline zmdi-hc-fw"></i> Detalles
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    {% endif %} {% endfor %}
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="tab-pane fade" id="pillnav3">
                        <div class="row">
                            <div class="col-xs-12 col-sm-12 col-md-12">
                                <div class="card card-data-tables product-table-wrapper">
                                    <header class="card-heading card-blue text-center">
                                        <h2 class="card-title">Evaluaciones reprobadas</h2>
                                        <div class="card-search">
                                            <div id="productsTable_wrapper" class="form-group label-floating is-empty">
                                                <i class="zmdi zmdi-search search-icon-left"></i>
                                                <input type="text" class="form-control filter-input" placeholder="Filter Products..." autocomplete="off">
                                                <a href="javascript:void(0)" class="close-search" data-card-search="close" data-toggle="tooltip" data-placement="top" title="Close">
                                                    <i class="zmdi zmdi-close"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <ul class="card-actions icons right-top">
                                            <li id="deleteItems" style="display: none;">
                                                <span class="label label-info pull-left m-t-5 m-r-10 text-white"></span>
                                                <a href="javascript:void(0)" id="confirmDelete" data-toggle="tooltip" data-placement="top" data-original-title="Delete Product(s)">
                                                    <i class="zmdi zmdi-delete"></i>
                                                </a>
                                            </li>
                                            <li>
                                                <a href="javascript:void(0)" data-card-search="open" data-toggle="tooltip" data-placement="top" data-original-title="Filter Products">
                                                    <i class="zmdi zmdi-search"></i>
                                                </a>
                                            </li>
                                            <li class="dropdown" data-toggle="tooltip" data-placement="top" data-original-title="Show Entries">
                                                <a href="javascript:void(0)" data-toggle="dropdown">
                                                    <i class="zmdi zmdi-more-vert"></i>
                                                </a>
                                                <div id="dataTablesLength">
                                                </div>
                                            </li>
                                        </ul>
                                    </header>
                                    <div class="card-body p-0">
                                        <div class="table-responsive">
                                            <table id="rechazados" class="mdl-data-table product-table m-t-30" cellspacing="0" width="100%">
                                                <thead>
                                                    <tr>
                                                        <th class="col-sm-3">Nombre del proyecto</th>
                                                        <th class="col-sm-2">Alumno</th>
                                                        <th class="col-sm-3">Profesor guia</th>
                                                        <th class="col-sm-3">Fecha</th>
                                                        <th data-orderable="false" class="col-sm-2">
                                                            Acciones
                                                        </th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    {% for postulation in postulations%} {% if postulation.0.status == "RE" %}
                                                    <tr>
                                                        <td>{{postulation.0.project.name}}</td>
                                                        <td>{{postulation.1}}</td>
                                                        <td>{{postulation.0.proyect.guide_teacher}}</td>
                                                        <td>{{postulation.0.last_mod}}</td>
                                                        <td>
                                                            <div class="row">
                                                                <div class="col-md-3 col-sm-3">
                                                                    <button id="detallesT" class="btn btn-block btn-info" data-toggle="modal" data-target="#tab_modal">
                                                                        <i class="zmdi zmdi-info-outline zmdi-hc-fw"></i> Detalles
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    {% endif %} {% endfor %}
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="fullscreen_modalEstu" tabindex="-1" role="dialog" aria-labelledby="basic_modal">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-body">
                <div class="row">

                </div>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid row">
    <div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#fullscreen_modalBita2">
            <div class="card">
                <header class="card-heading card-blue">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Evaluaciones al Día /
                                <br>Total de Bitácoras</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ log_current }}/{{ log_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-calendar"></i>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#fullscreen_modalEstu">
            <div class="card">
                <header class="card-heading card-accent">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Tesistas en Proyectos /
                                <br>Total Tesistas</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ students_on_projects }}/{{ students_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-account"></i>
                        </div>
                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#bottom_sheet_modalAXP">
            <div class="card">
                <header class="card-heading card-yellow">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 class="card-title">Docentes en Proyectos /
                                <br>Total Docentes</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ teacher_on_projects }}/{{ teachers_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-accounts-alt"></i>
                        </div>

                    </div>
                </div>
            </div>
        </a>
    </div>
    <div class="col-xs-3 col-sm-3 col-md-3 animated zoomIn">
        <a href="#" data-toggle="modal" data-target="#bottom_sheet_modalProteAct">
            <div class="card">
                <header style="background-color:#23c6c8" class="card-heading">
                    <div class="row">
                        <div class="col-sm-12">
                            <h2 style="color: white" class="card-title">Proyectos Activos /
                                <br>Total Proyectos</h2>
                        </div>
                    </div>
                </header>
                <div class="card-body text-center">
                    <div class="row">
                        <div class="col-sm-8">
                            <h1>{{ active_projects }}/{{ projects_total }}</h1>
                        </div>
                        <div class="col-sm-4">
                            <i class="zmdi zmdi-hc-4x zmdi-folder-person"></i>
                        </div>

                    </div>
                </div>
            </div>
        </a>
    </div>
</div>

<div class="container-fluid row">
    <div class="col-md-6 col-sm-6 col-xs-6 animated fadeIn">
        <div class="card ">
            <header style="background-color :#23c6c8 " class="card-heading">
                <h2 style="color: white" class="card-title">
                    <i class="zmdi zmdi-hourglass-alt"></i> Proyectos Pendientes</h2>
                <ul class="card-actions right-top">
                    <li>
                        <a href="{% url 'project_management' %}" class="btn btn-danger btn-sm" style="margin-top:-7px">
                            <i class="zmdi zmdi-eye"></i> Ver Proyectos
                        </a>
                    </li>
                </ul>
            </header>
            <div class="card-body" style="overflow-y: auto; height: 200px;">
                <ul class="list-group ">
                    {% for p in projects_pending %}
                    <li class="list-group-item">
                        <div class="list-group-item-body">
                            <div class="list-group-item-heading">{{ p.name }}</div>
                            <div class="list-group-item-text">{{ p.description }}</div>
                        </div>
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>
    <div class="col-md-6 col-sm-6 col-xs-6 animated fadeIn">
        <div class="card">
            <header style="background-color:#1c84c6" class="card-heading">
                <h2 style="color: white" class="card-title">
                    <i class="zmdi zmdi-book"></i> Minutas Pendientes</h2>
            </header>
            <div class="card-body" style="height: 200px; overflow: auto">
                <ul class="list-group ">
                    {% for p in projects_pending %}
                    <li class="list-group-item">
                        <div class="list-group-item-body">
                            <div class="list-group-item-heading">{{ p.name }}</div>
                            <div class="list-group-item-text">{{ p.description }}</div>
                        </div>
                    </li>
                    {% endfor %}
                </ul>
            </div>
        </div>
    </div>
</div>

<div class="container-fluid row">
    <div class="col-xs-12 col-sm-6">
        <div class="card">
            <header style="background-color:#1c84c6" class="card-heading">
                <h2 style="color: white" class="card-title">Bitácoras</h2>
            </header>
            <div class="card-body">
                <canvas id="lineChart"></canvas>
            </div>
        </div>
    </div>
    <div class="col-xs-12 col-sm-6">
        <div class="card">
            <header style="background-color: #ed5565;" class="card-heading">
                <h2 style="color: white" class="card-title">Estudiantes</h2>
            </header>
            <div class="card-body">
                <canvas id="linechart_alumno"></canvas>
            </div>
        </div>
    </div>
    <div class="col-xs-12 col-sm-12">
        <div class="card">
            <header style="background-color:#23c6c8" class="card-heading">
                <h2 style="color: white" class="card-title">Proyectos</h2>
            </header>
            <div class="card-body">
                <canvas style="display: block;height: 450px;width: 1170px;" id="linechart_proye"></canvas>
            </div>
        </div>
    </div>
</div>
{% endblock content %} {% block javascript %}
<script src="sweetalert2.all.min.js"></script>

<script src="https://unpkg.com/promise-polyfill"></script>
<script>

    $(document).ready(function () {

        var linechart_bitacora = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };
        var linechart_bitacora_alum = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };
        var linechart_alumno = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: " Activos",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 38, 40, 50, 56, 77, 50]
                }, {
                    label: "Por aprobar",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [90, 70, 40, 33, 56, 40, 20]
                }
            ]
        };
        var linechart_proye = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Activos",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "En revisión",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.7)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazados",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 50, 95, 44, 27, 100]
                }, {
                    label: "Disponible",
                    backgroundColor: 'rgba(28, 132, 198, 0.5)',
                    borderColor: "rgba(28,132,198,0.7)",
                    pointBorderColor: "#1c84c6",
                    data: [88, 75, 55, 48, 57, 68, 70]
                }
            ]
        };
        var linechart_bitacora_doce = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Aprobadas",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "Con detalles",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazadas",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };
        var linechart_alumno_doce = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Alto rendimiento",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 38, 40, 50, 56, 77, 50]
                }, {
                    label: "Aceptable rendimiento",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.5)',
                    pointBorderColor: "#f8ac59",
                    data: [90, 70, 40, 33, 56, 40, 20]
                }, {
                    label: "Bajo rendimiento",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 100, 95, 44, 27, 100]
                }
            ]
        };

        var linechart_proye_doce = {
            labels: ["semana 1", "semana 2", "semana 3", "semana 4", "semana 5", "semana 6", "semana 7"],
            datasets: [

                {
                    label: "Activos",
                    backgroundColor: 'rgba(26,179,148,0.5)',
                    borderColor: "rgba(26,179,148,0.7)",
                    pointBackgroundColor: "rgba(26,179,148,1)",
                    pointBorderColor: "#23c6c8",
                    data: [28, 48, 40, 19, 86, 27, 90]
                }, {
                    label: "En revisión",
                    backgroundColor: 'rgba(248, 172, 89, 0.5)',
                    borderColor: 'rgba(248, 172, 89, 0.7)',
                    pointBorderColor: "#f8ac59",
                    data: [65, 59, 80, 81, 56, 55, 40]
                }, {
                    label: "Rechazados",
                    backgroundColor: 'rgba(237, 85, 101, 0.5)',
                    borderColor: "rgba(237,85,101,0.7)",
                    pointBorderColor: "#ed5565",
                    data: [30, 42, 50, 95, 44, 27, 100]
                }, {
                    label: "Disponible",
                    backgroundColor: 'rgba(28, 132, 198, 0.5)',
                    borderColor: "rgba(28,132,198,0.7)",
                    pointBorderColor: "#1c84c6",
                    data: [88, 75, 55, 48, 57, 68, 70]
                }
            ]
        };
        var lineOptions = {
            responsive: true
        };


        var ctx = document.getElementById("lineChart").getContext("2d");
        new Chart(ctx, { type: 'line', data: linechart_bitacora, options: lineOptions });

        var ctx2 = document.getElementById("linechart_alumno").getContext("2d");
        new Chart(ctx2, { type: 'line', data: linechart_alumno, options: lineOptions });

        var ctx3 = document.getElementById("linechart_proye").getContext("2d");
        new Chart(ctx3, { type: 'line', data: linechart_proye, options: lineOptions });



        if ($("#tiene_proyecto").val() == 0) {
            swal({
                title: "Hemos detectado que no tienes un proyecto asociado",
                text: "¿Quieres postular a uno ? ",
                icon: "warning",
                buttons: {
                    cancel: "Cancelar",
                    roll: {
                        text: "Postular",
                        value: "post",
                        confirm: "true",
                    },
                },
            }).then((value) => {
                switch (value) {

                    case "post":
                        window.location.href = 'http://127.0.0.1:8080/dashboard/postulate/';
                        break;

                    default:
                        swal({
                            title: "¡OK!",
                            icon: "success",
                        });
                }
            });
        }


    });

</script> {% endblock javascript %}